import { defineConfig } from '@bole-core/core';

export default defineConfig({
  /**
   * @description 网页title
   */
  title: '灵工平台',

  errorLog: 'production',

  loginFormTitle: '灵工平台后台管理系统',
});

type AppType = 'one' | 'rz' | 'jx';

const AppSettingMap = {
  one: {
    title: '灵工平台',
    loginFormTitle: '灵工平台',
    MenuTitle: '灵工平台',
  },
  jx: {
    title: '江西保险理赔后台管理系统',
    loginFormTitle: '江西保险理赔后台管理系统',
    MenuTitle: '江西保险理赔',
  },
};

export function getAppSetting(appType: AppType) {
  return AppSettingMap[appType];
}
